dnl aclocal.m4  -  macros used to create configuration script
dnl
dnl Copyright (C) 1996-2001 Gero Kuhlmann
dnl
dnl
dnl define a macro which can be used to run an assembler or compiler and
dnl act on its return code
dnl
dnl $Id: aclocal.m4,v 1.2 2001/08/27 08:40:16 gkminix Exp $
dnl
define(AC_CHECK_COMP,
[AC_PROVIDE([$0])dnl
cat > conftest.test <<EOF
[$2]
EOF
if eval [$1] conftest.test >&5 2>&5; then
  ifelse([$3], , :, [rm -rf conftest*
  $3
])
ifelse([$4], , , [else
  rm -rf conftest*
  $4
])dnl
fi
rm -f conftest*]
)dnl

dnl
dnl Check if the C compiler understands a specific command line option
dnl
define(AC_CHECK_CC_ARG,
[AC_PROVIDE([$0])dnl
  AC_CACHE_CHECK(whether ${CC-cc} accepts -[$1], ac_cv_prog_cc_[$1], [
    echo 'void f(){}' > conftest.c
    if test -z "`${CC-cc} -[$1] -c conftest.c 2>&1`"; then
      ac_cv_prog_cc_[$1]=yes
    else
      ac_cv_prog_cc_[$1]=no
    fi
  ])
rm -f conftest*]
)dnl

